  let mseQueue2 = [],
    mseSourceBuffer2, mseStreamingStarted2 = false, videoSound2=false;

  function startPlay2() {
	let host = "192.168.11.22:8083";
    let uuid = $('#uuid2').val();
    let channel = $('#channel2').val();
    location.protocol == 'https:' ? potocol = 'wss' : potocol = 'ws';
    let url = potocol + '://' + host + '/stream/' + uuid + '/channel/' + channel + '/mse?uuid=' + uuid + '&channel=' + channel;
    let mse = new MediaSource();
	
    $("#videoPlayer2")[0].src = window.URL.createObjectURL(mse);
    mse.addEventListener('sourceopen', function() {
      let ws = new WebSocket(url);
      ws.binaryType = "arraybuffer";
      ws.onopen = function(event) {
        console.log('Connect to ws');
      }
      ws.onclose = function(event) {
        console.log('Disconnected from ws, reloading in 5 seconds');
		doReload();
      }	  
      ws.onmessage = function(event) {
        let data = new Uint8Array(event.data);
        if (data[0] == 9) {
          decoded_arr = data.slice(1);
          if (window.TextDecoder) {
            mimeCodec = new TextDecoder("utf-8").decode(decoded_arr);
          } else {
            mimeCodec = Utf8ArrayToStr(decoded_arr);
          }
          if(mimeCodec.indexOf(',')>0){
            videoSound2=true;
          }
          mseSourceBuffer2 = mse.addSourceBuffer('video/mp4; codecs="' + mimeCodec + '"');
          mseSourceBuffer2.mode = "segments"
          mseSourceBuffer2.addEventListener("updateend", pushPacket2);

        } else {
          readPacket2(event.data);
        }
      };
    }, false);

  }

  function pushPacket2() {
    if (!mseSourceBuffer2.updating) {
      if (mseQueue2.length > 0) {
        packet = mseQueue2.shift();
        mseSourceBuffer2.appendBuffer(packet);
      } else {
        mseStreamingStarted2 = false;
      }
    }
    if ($("#videoPlayer2")[0].buffered.length > 0) {
      if (typeof document.hidden !== "undefined" && document.hidden && !videoSound2) {
        
        $("#videoPlayer2")[0].currentTime = $("#videoPlayer2")[0].buffered.end(($("#videoPlayer2")[0].buffered.length - 1)) - 0.5;
      }
    }
  }

  function readPacket2(packet) {
    if (!mseStreamingStarted2) {
      mseSourceBuffer2.appendBuffer(packet);
      mseStreamingStarted2 = true;
      return;
    }
    mseQueue2.push(packet);
    if (!mseSourceBuffer2.updating) {
      pushPacket2();
    }
  }

  /*
  $("#videoPlayer")[0].addEventListener('loadeddata', () => {
    $("#videoPlayer")[0].play();
    let browser = browserDetector();
    if (!browser.safari) {
      makePic();
    }
  });
  */
  
  $("#videoPlayer2")[0].addEventListener('pause', () => {
    if ($("#videoPlayer2")[0].currentTime > $("#videoPlayer2")[0].buffered.end(($("#videoPlayer2")[0].buffered.length - 1))) {
      $("#videoPlayer2")[0].currentTime = $("#videoPlayer2")[0].buffered.end(($("#videoPlayer2")[0].buffered.length - 1)) - 0.1;
      $("#videoPlayer2")[0].play();
    }
  });

  $("#videoPlayer2")[0].addEventListener('error', () => {
    console.log('video_error. reloading in 5 seconds.');
	doReload();
  });